Bug 1434311 - True Noarch Erlang Packages
Summary: True Noarch Erlang Packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact:
URL:
Whiteboard: ChangeAcceptedF29, SelfContainedChange
: 1551328 (view as bug list)
Depends On: 1476614
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-21 09:01 UTC by Jan Kurik
Modified: 2018-11-28 22:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 22:33:37 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-03-21 09:01:47 UTC
This is a tracking bug for Change: True Noarch Erlang Packages
For more details, see: https://fedoraproject.org//wiki/Changes/TrueNoarchErlangPackages

Erlang packages are currently all installed into %{_libdir}/erlang/lib, despite most of them being noarch packages. This proposal is to modify Erlang to search %{_datadir}/erlang/lib in addition to %{_libdir}/erlang/lib when searching for dependencies.

Comment 1 Randy Barlow 2017-07-30 19:40:10 UTC
I have filed https://github.com/lemenkov/erlang-rpm-macros/pull/4/ to add the ability to build noarch packages into %{_datadir}.

Comment 2 Jan Kurik 2017-08-10 06:18:15 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 3 Randy Barlow 2017-08-13 20:51:12 UTC
As we discussed on Friday, this change is not complete enough to be tested and so we can defer it until Fedora 28. The Erlang VM has been modified and I wrote a patch for the rpm macros, but there was an unanticipated problem with erlang-rebar that must also be fixed that I have not addressed yet.

Comment 4 Jan Kurik 2017-08-14 14:16:25 UTC
Deferring. Please resubmit the Change proposal for review to Change wrangler once this is ready.

Comment 5 Randy Barlow 2018-02-12 19:20:30 UTC
Hi Jan!

I think I mentally missed your last comment way back in August, and I was just able to get this change working on my dev box. Is it too late to do this for Fedora 28 at this point?

Comment 6 Randy Barlow 2018-02-12 19:23:31 UTC
This PR was the last of changes we needed to get this working:

https://github.com/lemenkov/erlang-rpm-macros/pull/4

Comment 7 Randy Barlow 2018-02-12 19:31:19 UTC
P.S. It's no problem to wait for F29. If that's necessary I think we can just merge the referenced PR after F28 branches and then make the change in Rawhide (F29).

Comment 8 Jan Kurik 2018-02-13 13:49:11 UTC
Hi Randy,

I would ask you to reschedule the Change to F29 as the deadline for accepting Change proposals has already passed on 2018-Jan-30.

Thank you,
Jan

Comment 9 Fedora End Of Life 2018-02-20 15:38:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 10 Jan Kurik 2018-03-04 18:42:46 UTC
*** Bug 1551328 has been marked as a duplicate of this bug. ***

Comment 11 Randy Barlow 2018-03-26 01:26:51 UTC
I have now built the pieces of the ejabberd stack that can be noarch as noarch packages on Rawhide.

Comment 12 Jan Kurik 2018-08-14 11:23:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 13 Randy Barlow 2018-11-28 22:33:37 UTC
This was done with Fedora 29.


Note You need to log in before you can comment on or make changes to this bug.